--System Variables

SN.Media = {
	["media"] = {
		["normTex"] = SN.LSM:Fetch("statusbar","SNNorm"),
		["minTex"] = SN.LSM:Fetch("statusbar", "SNMin"),
		["glossTex"] = SN.LSM:Fetch("statusbar", "SNGloss"),
		["blankTex"] = SN.LSM:Fetch("background","SNBlank"),
		["borderTex"] = SN.LSM:Fetch("border", "SNBorder"),
		["font"] = SN.LSM:Fetch("font","SNFont")
	},
	["power"] = {
		["RAGE"] = {r = 0.78, g = 0.25, b = 0.25},
		["FOCUS"] = {r = 0.71, g = 0.43, b = 0.27},
		["ENERGY"] = {r = 0.65, g = 0.63, b = 0.35},
		["RUNIC_POWER"] = {r = 0, g = 0.82, b = 1}
	}
}

SN.V.defaults = {
	profile = {
		["CD"] = {
			castannounce = true,
			cdannounce = false,
			clickannounce = false,
			show = "always",
			justyou = false,
			raid = true,
		},
		["powerbar"] = {
			["hunter"] = {
				{	--Beast Mastery
					{ true, "Kill Command", true, false, {1,1,1,1}, 0 },
					{ false, "Glaive Toss", true, false, {1,1,1,1}, 0 },
				},
				{	--Marksman
					{ true, "Chimera Shot", true, false, {1,1,1,1}, 0 },
					{ false, "Aimed Shot", true, false, {1,1,1,1}, 0 },
				},
				{	--Survival
					{ true, "Explosive Shot", true, false, {1,1,1,1}, 0 },
					{ false, "Black Arrow", true, false, {1,1,1,1}, 0 },
				},
			},
			["rogue"] = {
				{	--Assassination
					{ true, "Mutilate", true, false, {1,1,1,1}, 0 },
					{ false, "Dispatch", true, false, {1,1,1,1}, 0 },
				},
				{	--Combat
					{ true, "Sinister Strike", true, false, {1,1,1,1}, 0 },
					{ false, "Eviscerate", true, false, {1,1,1,1}, 0 },
				},
				{	--Subtlety
					{ true, "Backstab", true, false, {1,1,1,1}, 0 },
					{ false, "Eviscerate", true, false, {1,1,1,1}, 0 },
				},
			},
			["druid"] = {
				{
				},
				{	--Feral
					{ true, "Shred", true, false, {1,1,1,1}, 0 },
					{ false, "Mangle", true, false, {1,1,1,1}, 0 },
				},
				{	--Guardian
					{ true, "Savage Defense", true, false, {1,1,1,1}, 0 },
					{ false, "Frenzied Regeneration", true, false, {1,1,1,1}, 0 },
				},
				{
				},
			},
			["warrior"] = {
				{	--Arms
					{ true, "Slam", true, false, {1,1,1,1}, 0 },
					{ false, "Execute", true, false, {1,1,1,1}, 0 },
				},
				{	--Fury
					{ true, "Heroic Strike", true, false, {1,1,1,1}, 0 },
					{ false, "Execute", true, false, {1,1,1,1}, 0 },
				},
				{	--Prot
					{ true, "Shield Block", true, false, {1,1,1,1}, 0 },
					{ false, "Shield Barrier", true, false, {1,1,1,1}, 0 },
				},
			},
		},
	},
}
